﻿@using SportsClub.Areas.Dashboard.Models
@model SportsClub.Models.Home.VerifyModel

@{
    ViewBag.Title = "VerifyCode";
}

<h2>Verification Step</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Verification</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <label>Some text goes here .</label>

        <div class="form-group">
            @Html.LabelFor(model => model.VerificationMethod, htmlAttributes: new { @class = "control-label col-md-2" })
            <div>
                @Html.RadioButtonFor(model => model.VerificationMethod, "Sms", new { @checked = "checked" })Send Text Message
                @Html.RadioButtonFor(model => model.VerificationMethod, "Phone")Call me
                @Html.ValidationMessageFor(model => model.VerificationMethod, "", new { @class = "text-danger" })
            </div>
            <br />
            @Html.LabelFor(model => model.PhoneNumber, htmlAttributes: new { @class = "control-label col-md-2" })
            <div>
                @Html.EditorFor(model => model.PhoneNumber, new { @class = "form-control" })
                <label id="sentCode"></label>
                @Html.ValidationMessageFor(model => model.PhoneNumber, "", new { @class = "text-danger" })
            </div>
            <input id="sendCode" type="button" value="Send Code" class="btn btn-default" />
            <br />
            <label>Enter security code</label>
            @Html.LabelFor(model => model.Code, htmlAttributes: new { @class = "control-label col-md-2" })
            <div>
                @Html.TextBoxFor(model => model.Code)
                <label id="codeState"></label>
                @Html.ValidationMessageFor(model => model.Code, "", new { @class = "text-danger" })
            </div>
            <input id="verifyCode" type="button" value="Verfy Code" class="btn btn-default" />
            <br />
        </div>
    </div>
}

<script type="text/javascript">
    $("#sendCode").on('click', function (e) {
        $("#sentCode").html("");
        var phoneNum = $("#PhoneNumber").val();
        $.ajax({
            type: 'POST',
            url: '@Url.Action("UserVerification","Verification")?phone=' + phoneNum,
            //data: myKeyVals,
            //dataType: "text",
            success: function (data) {
                if (data.status) {
                    $("#sentCode").html("code sent!");
                } else {
                    $("#sentCode").html("there is a problem,try agian.");
                }
            }
        });
    });

    $("#verifyCode").on('click', function (e) {
        $("#codeState").html("");
        var phoneNum = $("#PhoneNumber").val();
        var code = $("#Code").val();
        $.ajax({
            type: 'POST',
            url: '@Url.Action("VerifyCode", "Verification")?phone=' + phoneNum + '&securityCode=' + code,
            success: function (data) {
                if (data.status) {
                    $("#codeState").html("OK");
                    var url = '@Url.Action("CreateClub","Club")?token=' + data.message;
                    window.location.href = url;
                } else {
                    $("#codeState").html("Ooops!");
                }
            }
        });
    });
</script>